function _slicedToArray(r, e) { return _arrayWithHoles(r) || _iterableToArrayLimit(r, e) || _unsupportedIterableToArray(r, e) || _nonIterableRest(); }
function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }
function _unsupportedIterableToArray(r, a) { if (r) { if ("string" == typeof r) return _arrayLikeToArray(r, a); var t = {}.toString.call(r).slice(8, -1); return "Object" === t && r.constructor && (t = r.constructor.name), "Map" === t || "Set" === t ? Array.from(r) : "Arguments" === t || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(t) ? _arrayLikeToArray(r, a) : void 0; } }
function _arrayLikeToArray(r, a) { (null == a || a > r.length) && (a = r.length); for (var e = 0, n = Array(a); e < a; e++) n[e] = r[e]; return n; }
function _iterableToArrayLimit(r, l) { var t = null == r ? null : "undefined" != typeof Symbol && r[Symbol.iterator] || r["@@iterator"]; if (null != t) { var e, n, i, u, a = [], f = !0, o = !1; try { if (i = (t = t.call(r)).next, 0 === l) { if (Object(t) !== t) return; f = !1; } else for (; !(f = (e = i.call(t)).done) && (a.push(e.value), a.length !== l); f = !0); } catch (r) { o = !0, n = r; } finally { try { if (!f && null != t.return && (u = t.return(), Object(u) !== u)) return; } finally { if (o) throw n; } } return a; } }
function _arrayWithHoles(r) { if (Array.isArray(r)) return r; }
import React from 'react';
import { BizSelect, IconFont } from '@zgfe/business-lib';
import { Checkbox, Space } from 'antd';
var ColumnSelect = function ColumnSelect(_ref) {
  var options = _ref.options,
    value = _ref.value,
    strickType = _ref.strickType,
    selectAll = _ref.selectAll,
    multiple = _ref.multiple,
    max = _ref.max,
    _onChange = _ref.onChange;
  var _React$useState = React.useState(selectAll && (value === null || value === void 0 ? void 0 : value.length) === (options === null || options === void 0 ? void 0 : options.length)),
    _React$useState2 = _slicedToArray(_React$useState, 2),
    allChecked = _React$useState2[0],
    setAllChecked = _React$useState2[1];
  function renderLabel(node, option) {
    return /*#__PURE__*/React.createElement(Space, null, /*#__PURE__*/React.createElement(IconFont, {
      type: {
        string: 'zifuchuan',
        number: 'shuzhi',
        date: 'riqi'
      }[option.webType]
    }), /*#__PURE__*/React.createElement("span", null, option.name));
  }
  return /*#__PURE__*/React.createElement("div", {
    style: {
      minWidth: 134,
      maxWidth: '100%',
      display: 'inline-block',
      width: 'auto'
    }
  }, /*#__PURE__*/React.createElement(BizSelect, {
    options: options || [],
    customLabel: renderLabel,
    multiple: multiple === undefined ? true : multiple,
    max: max,
    enableSearch: true,
    keyField: "name",
    labelField: "name",
    dropdownExtra: selectAll && !max && (/*#__PURE__*/React.createElement("div", {
      className: "biz-select-option biz-select-option-multiple"
    }, /*#__PURE__*/React.createElement(Checkbox, {
      checked: allChecked,
      onChange: function onChange(e) {
        setAllChecked(e.target.checked);
        _onChange === null || _onChange === void 0 ? void 0 : _onChange(e.target.checked ? options : []);
      }
    }, /*#__PURE__*/React.createElement("div", {
      style: {
        color: allChecked ? '#165dff' : undefined
      }
    }, "\u5168\u9009")))),
    disableItemList: strickType ? options === null || options === void 0 ? void 0 : options.filter(function (item) {
      return (value === null || value === void 0 ? void 0 : value.length) && value[0].webType !== item.webType;
    }) : [],
    value: value,
    onChange: _onChange
  }));
};
export default ColumnSelect;